<h1>Deep Learning Denoising for 5D Cardiac Photon-Counting CT</h1>
<p>This repository demonstrates the implementation of our deep learning approaches for rapid denoising of 5D (3D + energy + time) cardiac photon-counting CT (PCCT) images. In a previous study, we presented UnetU, an approach that combines a 2D U-net convolutional neural network with a custom loss function and novel transformation of the input based on noise variance weighted SVD to enable accurate denoising of 4D (3D + energy) wFBP reconstructions at a variety of energy threshold and radiation dose settings. In this study, we explored how to adapt the UnetU approach for 5D cardiac PCCT denoising by exploring different SVD configurations along the energy and/or time dimensions as well as alternate network architectures. Our findings are presented in the following manuscript:</p>
<p>Nadkarni, R.; Clark, D.P.; Allphin, A.J.; Badea, C.T. Investigating Deep Learning Strategies for Fast Denoising of 5D Cardiac Photon-Counting Micro-CT Images. Phys Med Biol. 2024</p>
<p>Due to storage limitations, we cannot provide all training and testing set 5D cardiac PCCT image volumes presented in the manuscript. However, we have shared some of our deep learning models and an undersampled wFBP reconstruction of a mouse to  allow the user to reproduce deep learning predictions shown in Figure 12 of the manuscript. This Figure is also copied below:</p>
![Figure 12 from paper](Figure12.png)
